DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSAnnotationContent Class Reference

the representation of a Annotation Content SQ item for Stored Print More...

## Public Member Functions
| DVPSAnnotationContent ()
| default constructor
| DVPSAnnotationContent (const DVPSAnnotationContent &copy)
| copy constructor
DVPSAnnotationContent * | clone ()
| clone method. More...
virtual | ~DVPSAnnotationContent ()
| destructor
void | clear ()
| resets the object to initial state. More...
OFCondition | read (DcmItem &dset)
| reads an annotation content item from a DICOM dataset. More...
OFCondition | write (DcmItem &dset)
| writes the annotation box managed by this object to a DICOM dataset. More...
OFCondition | setContent (const char *instanceuid, const char *text, Uint16 position)
| sets the content of this annotation box object. More...
const char * | getSOPInstanceUID ()
| gets the current SOP Instance UID. More...
OFCondition | setSOPInstanceUID (const char *value)
| sets the SOP instance UID (which is returned by the Print SCP). More...
OFCondition | prepareBasicAnnotationBox (DcmItem &dset)
| writes the attributes managed by this objects that are part of a basic annotation box N-SET request into the DICOM dataset. More...

## Private Member Functions
DVPSAnnotationContent & | operator= (const DVPSAnnotationContent &)
| private undefined assignment operator

## Private Attributes
DcmUniqueIdentifier | sOPInstanceUID
| Module=Annotation_List, VR=UI, VM=1, Type 1(c)
DcmUnsignedShort | annotationPosition
| Module=Annotation_List, VR=US, VM=1, Type 1(c)
DcmLongString | textString
| Module=Annotation_List, VR=LO, VM=1, Type 1(c)

## Detailed Description

the representation of a Annotation Content SQ item for Stored Print

## Member Function Documentation

## ◆ clear()

void DVPSAnnotationContent::clear | ( |  | ) |

resets the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSAnnotationContent* DVPSAnnotationContent::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSAnnotationContent object containing a copy of this object.

## ◆ getSOPInstanceUID()

const char* DVPSAnnotationContent::getSOPInstanceUID | ( |  | ) |

gets the current SOP Instance UID.

Returns
  SOP Instance UID, may be NULL.

## ◆ prepareBasicAnnotationBox()

OFCondition DVPSAnnotationContent::prepareBasicAnnotationBox | ( | DcmItem & | dset | ) |

writes the attributes managed by this objects that are part of a basic annotation box N-SET request into the DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the dataset to which the data is written

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ read()

OFCondition DVPSAnnotationContent::read | ( | DcmItem & | dset | ) |

reads an annotation content item from a DICOM dataset.

The DICOM elements of the referenced item are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the item of the AnnotationContentSequence from which the data is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setContent()

OFCondition DVPSAnnotationContent::setContent | ( | const char * | instanceuid,
|  | const char * | text,
|  | Uint16 | position
| ) |  |

sets the content of this annotation box object.

Parameters

  instanceuid | SOP instance UID of this annotation
  text | annotation text string
  position | annotation box position

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setSOPInstanceUID()

OFCondition DVPSAnnotationContent::setSOPInstanceUID | ( | const char * | value | ) |

sets the SOP instance UID (which is returned by the Print SCP).

Parameters

  value | new attribute value, must not be NULL.

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ write()

OFCondition DVPSAnnotationContent::write | ( | DcmItem & | dset | ) |

writes the annotation box managed by this object to a DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the the item of the AnnotationContentSequence to which the data is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsab.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1